Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryPublicModifierAstVisitor

- groovy.org.codenarc.rule.unnecessary.UnnecessaryPublicModifierAstVisitor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `visitClassEx(org.codehaus.groovy.ast.ClassNode node)`
    `` | `void` | `visitConstructor(org.codehaus.groovy.ast.ConstructorNode node)`
    `` | `void` | `visitMethodEx(org.codehaus.groovy.ast.MethodNode node)`

- - ### Method Detail

    - #### @Override protected void visitClassEx(org.codehaus.groovy.ast.ClassNode node)

    - #### @Override void visitConstructor(org.codehaus.groovy.ast.ConstructorNode node)

    - #### @Override void visitMethodEx(org.codehaus.groovy.ast.MethodNode node)